# Watchy Watch Face, cleaned up codebase

:---------------------------------:|:------------------------------------:
![](screenshots/screenshot1.webp)  |  ![](screenshots/screenshot2.webp)

## Features
- Cleaned up display library
- Cleaned up RTC library, stores time in UTC, pass an offset when reading time
- Non font-based 7 segment display
- Removed wifimanager, hardcoded SSID / password in config.h
- NTP sync on initial boot
- New, more flexible, much more easily edited menu system
- Multiple pages, currently has main clock and weather pages
- Weather page uses wttr.in API, and optional geolocation using ip-api.com
- Sunrise / sunset times, moon phase display
- Refactored a bunch of stuff into WatchFeatures instead of being part of the Watchy class